
Redmine - Feature #41053

Add "User's group" and "User's role" filters to Spent time list

2024-07-24 04:00 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

I suggest adding "User's group" and "User's role" filters to the Spent time list. Currently, there is a filter for "User", but it would be

beneficial to filter by the user's group or role as well.

"User's group" and "User's role" filters are already available in the issues list, and having the same functionality in the Spent time list

would be useful. For example, these filters would make it easier to list the time entries of a specific department within an

organization.
Associated revisions

Revision 22958 - 2024-08-16 04:05 - Go MAEDA

Add filters for "User's group" and "User's role" to Spent time list (#41053).

Patch by Takenori TAKAKI (user:takenory).

History

#1 - 2024-08-05 07:15 - Takenori TAKAKI

- File 41053.patch added

I have created a patch to add the following filters to the Spent time list.

User's Group: filter for users in the group.

User's Role: filter for users with a role set

The patch works with the latest version of trunk (r22945).

#2 - 2024-08-13 10:34 - Go MAEDA

- File 41053-v2.patch added

- Target version set to Candidate for next major release

Thank you for posting the patch.

I have updated the patch to use the "association filter" mechanism like the existing issue related filters ("Issue's Tracker", "Issue's Parant task", ...).

This can simplify the patch a bit.

Original code:

add_available_filter(

  "user_group",

  :type => :list_optional,

  :values => lambda {Group.givable.visible.pluck(:name, :id).map {|name, id| [name, id.to_s]}}

)

 Using association filter mechanism:

add_available_filter(

  "user.group",

  :type => :list_optional,
  :name => l("label_attribute_of_user", :name => l(:label_group)),

  :values => lambda {Group.givable.visible.pluck(:name, :id).map {|name, id| [name, id.to_s]}}

)

#3 - 2024-08-14 07:32 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#4 - 2024-08-16 04:05 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22958. Thank you.
